package cn.iselab.mooctest.user.model;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * @author sean
 * @date 2018-03-02.
 */
public class User implements Serializable{

    private static final long serialVersionUID = 1L;

    private Long id;

    private String name;

    private String email;

    private String mobile;

    private String password;

    private String school;

    private Timestamp createTime = new Timestamp(System.currentTimeMillis());

    private String photoUrl;

    private String province;

    private String city;

    private Boolean manualCheckValid;

    /**
     * -1 用户被删除
     * 0  用户被禁用
     * 1  用户解除禁用 可以正常使用
     */
    private Integer availability;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }

    public Timestamp getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Timestamp createTime) {
        this.createTime = createTime;
    }

    public String getPhotoUrl() {
        return photoUrl;
    }

    public void setPhotoUrl(String photoUrl) {
        this.photoUrl = photoUrl;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public Boolean getManualCheckValid() {
        return manualCheckValid;
    }

    public void setManualCheckValid(Boolean manualCheckValid) {
        this.manualCheckValid = manualCheckValid;
    }

    public Integer getAvailability() {
        return availability;
    }

    public void setAvailability(Integer availability) {
        this.availability = availability;
    }
}
